using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("通知公告")]
	[IgnoreT4]public class T_FM_NOTIFICATION : MesEntityBase
	{
		[Description("发布用户ID")]
		public Guid? USER_ID { get; set; }

		[Description("显示类型")]
		[EnumName("FMNotificationShowTypeEnum")]
		public int NOTIFICATION_SHOW_TYPE { get; set; }


		[Description("通知公告类型")]
		[EnumName("FMNotificationClientTypeEnum")]
		public int NOTIFICATION_TYPE { get; set; }

        [Description("通知公告平台类型")]
        [EnumName("FMNotificationTypeEnum")]
        public int NOTIFICATION_CLIENT_TYPE { get; set; }

        [Description("标题")]
		public string TITLE { get; set; }

		[Description("信息")]
		public string ECMSAGE { get; set; }


		/// <summary>
		/// FMOrderStatusEnum
		/// </summary>
		[Description("状态")]
		[EnumName("FMOrderStatusEnum")]
		public int ORDER_STATUS { get; set; }


		[Description("备注")]
		public string REMARK { get; set; }

		/// <summary>导航：用户</summary>
		[Description("导航：用户")]
		public virtual T_FM_USER Nav_User { get; set; }

		public virtual ICollection<T_FM_NOTIFICATION_PERMIT> Nav_Permits { get; set; }

		public virtual ICollection<T_FM_NOTIFICATION_ACCEPTED> Nav_Accepteds { get; set; }

		
	}
}
